<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.thread.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'uk',
  ),
  'this' => 
  array (
    0 => 'thread.isjoined.php',
    1 => 'Thread::isJoined',
  ),
  'up' => 
  array (
    0 => 'class.thread.php',
    1 => 'Thread',
  ),
  'prev' => 
  array (
    0 => 'thread.getthreadid.php',
    1 => 'Thread::getThreadId',
  ),
  'next' => 
  array (
    0 => 'thread.isstarted.php',
    1 => 'Thread::isStarted',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'en',
    'path' => 'reference/pthreads/thread/isjoined.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="thread.isjoined" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Thread::isJoined</h1>
  <p class="verinfo">(PECL pthreads &gt;= 2.0.0)</p><p class="refpurpose"><span class="refname">Thread::isJoined</span> &mdash; <span class="dc-title">State Detection</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-thread.isjoined-description">
  <h3 class="title">Опис</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>Thread::isJoined</strong></span>(): <span class="type"><a href="language.types.boolean.php" class="type bool">bool</a></span></div>

  <p class="para rdfs-comment">
  Tell if the referenced Thread has been joined
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-thread.isjoined-parameters">
  <h3 class="title">Параметри</h3>
  <p class="para">У цієї функції немає
параметрів.</p>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-thread.isjoined-returnvalues">
  <h3 class="title">Значення, що повертаються</h3>
  <p class="para">
   Повертає <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong> у разі успіху або <strong><code><a href="reserved.constants.php#constant.false">false</a></code></strong> в разі помилки.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-thread.isjoined-examples">
  <h3 class="title">Приклади</h3>
  <p class="para">
   <div class="example" id="example-3504">
    <p><strong>Приклад #1 Detect the state of the referenced Thread</strong></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /></span><span style="color: #007700">class </span><span style="color: #0000BB">My </span><span style="color: #007700">extends </span><span style="color: #0000BB">Thread </span><span style="color: #007700">{<br />    public function </span><span style="color: #0000BB">run</span><span style="color: #007700">() {<br />        </span><span style="color: #0000BB">$this</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">synchronized</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$thread</span><span style="color: #007700">){<br />            if (!</span><span style="color: #0000BB">$thread</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">done</span><span style="color: #007700">)<br />                </span><span style="color: #0000BB">$thread</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">wait</span><span style="color: #007700">();<br />        }, </span><span style="color: #0000BB">$this</span><span style="color: #007700">);<br />    }<br />}<br /></span><span style="color: #0000BB">$my </span><span style="color: #007700">= new </span><span style="color: #0000BB">My</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">$my</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">start</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$my</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">isJoined</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">$my</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">synchronized</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$thread</span><span style="color: #007700">){<br />    </span><span style="color: #0000BB">$thread</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">done </span><span style="color: #007700">= </span><span style="color: #0000BB">true</span><span style="color: #007700">;<br />    </span><span style="color: #0000BB">$thread</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">notify</span><span style="color: #007700">();<br />}, </span><span style="color: #0000BB">$my</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
    </div>

    <div class="example-contents"><p>Поданий вище приклад
виведе:</p></div>
    <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">bool(false)</pre>
</div>
    </div>
   </div>
  </p>
 </div>

</div><?php manual_footer($setup); ?>